<html>
<head>
<title>OGRE: Ogre::ResourceBackgroundQueue::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>::<a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a></div>
<h1>Ogre::ResourceBackgroundQueue::Listener Class Reference</h1><!-- doxytag: class="Ogre::ResourceBackgroundQueue::Listener" -->This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ResourceBackgroundQueue_1_1Listener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#4d9bc827331576c11637c76e0a6fa5c1">operationCompleted</a> (<a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a> ticket)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a requested operation completes, queued into main thread.  <a href="#4d9bc827331576c11637c76e0a6fa5c1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#a827a7b0a76edaaf6ed2cd5c66a0f2ea">operationCompletedInThread</a> (<a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a> ticket)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a requested operation completes, immediate in background thread.  <a href="#a827a7b0a76edaaf6ed2cd5c66a0f2ea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#28509ef0c32ec32d3fa12a672ba90c2f">~Listener</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Need virtual destructor in case subclasses use it.  <a href="#28509ef0c32ec32d3fa12a672ba90c2f"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00092">92</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="28509ef0c32ec32d3fa12a672ba90c2f"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Listener::~Listener" ref="28509ef0c32ec32d3fa12a672ba90c2f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ResourceBackgroundQueue::Listener::~Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Need virtual destructor in case subclasses use it. 
<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00112">112</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4d9bc827331576c11637c76e0a6fa5c1"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Listener::operationCompleted" ref="4d9bc827331576c11637c76e0a6fa5c1" args="(BackgroundProcessTicket ticket)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompleted           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a>&nbsp;</td>
          <td class="paramname"> <em>ticket</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a requested operation completes, queued into main thread. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a827a7b0a76edaaf6ed2cd5c66a0f2ea"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Listener::operationCompletedInThread" ref="a827a7b0a76edaaf6ed2cd5c66a0f2ea" args="(BackgroundProcessTicket ticket)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompletedInThread           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a>&nbsp;</td>
          <td class="paramname"> <em>ticket</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a requested operation completes, immediate in background thread. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This is the advanced version of the background operation notification, it happens immediately when the background operation is completed, and your callback is executed in the <b>background thread</b>. Therefore if you use this version, you have to be aware of thread safety issues and what you can and cannot do in your callback implementation. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00110">110</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:29 2008
</p>
</body>
</html>
